<script>
  const width = 100;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  const rw = 40;
  const rh = 40;
  const radius = 20;
  const cr_x = (innerWidth - rw)/2;
  const cr_y = (innerHeight - rh)/2;
  const cc_x = (innerWidth + rw)/2;
  const cc_y = (innerHeight + rh)/2;
</script>

<svg {width} {height}>
	<rect x={margin.left} y={margin.top} width={innerWidth} height={innerHeight}  class='selected' />
  <g transform="translate({margin.left}, {margin.top})">
    <!--  -->
    
    <rect x={cr_x} y={cr_y} width={rw} height={rh}  />
    <circle cx={cc_x} cy={cc_y} r={radius} />
  </g>
</svg>

<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
  circle {
            fill: skyblue;
        }
  rect {
            fill: yellow;
        }
	.selected {
		fill: None;
		stroke: None;
		
	}
</style>
